SNMPDELTA(1)

NAME
snmpdelta - Monitor deltas of integer valued SNMP variables

SYNOPSIS
snmpdelta [ common arguments ] [ -Ct ] [ -Cs ] [ -CS ] [ -Cm ] [ -CF configfile ] [ -Cl ] [ -CL SumFileName ] [ -Cp period ] [ -CP Peaks ] [ -Ck ] [ -CT ] oid [ oid ... ]

DESCRIPTION
snmpdelta will monitor the specified integer valued OIDs, and report changes over time.

The -Ct flag will determine time interval from the monitored entity.

The -Cs flag will display a timestamp.

The -CS flag causes data to be logged into a Sum file.

-Cm prints the max value ever attained.

-CF configfile tells snmpdelta to read it's configuration from the specified file.

-Cl tells snmpdelta to write it's configuration to files.

-CL specified the sum filename.

-Cp period specifies the poll period.

-CP peaks specifies the reporting period in number of polling periods

-Ck tells snmpdelta to keep seconds in it's output time format.

-CT makes snmpdelta print its output in tabular form.

EXAMPLES
$ snmpdelta -c public -Cs localhost IF-MIB::ifinucastpkts.3 IF-MIB::ifoutucastpkts.3
[20:15:43 6/14] ifInUcastPkts.3 /1 sec: 158
[20:15:43 6/14] ifOutUcastPkts.3 /1 sec: 158
[20:15:44 6/14] ifInUcastPkts.3 /1 sec: 184
[20:15:44 6/14] ifOutUcastPkts.3 /1 sec: 184
[20:15:45 6/14] ifInUcastPkts.3 /1 sec: 184
[20:15:45 6/14] ifOutUcastPkts.3 /1 sec: 184
[20:15:46 6/14] ifInUcastPkts.3 /1 sec: 158
[20:15:46 6/14] ifOutUcastPkts.3 /1 sec: 158
[20:15:47 6/14] ifInUcastPkts.3 /1 sec: 184
[20:15:47 6/14] ifOutUcastPkts.3 /1 sec: 184
[20:15:48 6/14] ifInUcastPkts.3 /1 sec: 184
[20:15:48 6/14] ifOutUcastPkts.3 /1 sec: 184
[20:15:49 6/14] ifInUcastPkts.3 /1 sec: 158
[20:15:49 6/14] ifOutUcastPkts.3 /1 sec: 158
^C
$ snmpdelta -c public -Cs -CT localhost IF-MIB:ifinucastpkts.3 IF-MIB:ifoutcastpkts.3
localhost	ifInUcastPkts.3	ifOutUcastPkts.3
[20:15:59 6/14]	184.00	184.00
[20:16:00 6/14]	158.00	158.00
[20:16:01 6/14]	184.00	184.00
[20:16:02 6/14]	184.00	184.00
[20:16:03 6/14]	158.00	158.00
[20:16:04 6/14]	184.00	184.00
[20:16:05 6/14]	184.00	184.00
[20:16:06 6/14]	158.00	158.00
^C
$ snmpdelta -c public -Ct -Cs -CS -Cm -Cl -Cp 60 -CP 60 interlink.sw.net.cmu.edu .1.3.6.1.2.1.2.2.1.16.3 .1.3.6.1.2.1.2.2.1.16.4

SEE ALSO
snmpcmd(1), variables(5).